<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
        xmlns="http://www.w3.org/1999/xhtml">

<xsl:output encoding="UTF-8" method="xml" />

<xsl:template match="svrl:schematron-output">
  <html>
    <head>
      <title>SVRL Validation Report</title>
      <style>
        .yes { color: #00cc00; }
	.no { color: #ff0000; }
	.description { font-weight: bold; }
        .assert {
          color: #ff4488;
          font-family:'Lucida Console', monospace;
          font-size: 70%
        }
        .report {
          color: #ff8844;
          font-family:'Lucida Console', monospace;
          font-size: 70%
        }
	.location {
	  text-align: right;
          font-family:'Lucida Console', monospace;
          font-size: 90%;
          color: #0000ff;
        }
      </style>
    </head>
    <body>
      <xsl:choose>
        <xsl:when test="(count(svrl:successful-report) + count(svrl:failed-assert)) != 0">
          <h3 class="no">Validation errors!</h3>
        </xsl:when>
        <xsl:otherwise>
          <h3 class="yes">The file is valid!</h3>
        </xsl:otherwise>
      </xsl:choose>
      <table>
        <xsl:apply-templates />
      </table>
    </body>
  </html>
</xsl:template>

<xsl:template match="svrl:successful-report">
	<tr>
		<th class="location">
			<xsl:value-of select="@location"/>
		</th>
		<td>:</td>
		<td class="description">
			<xsl:value-of select="svrl:text"/>
		</td>
		<td/>
		<td/>
		<td class="report">
			<xsl:value-of select="@test"/>
		</td>
	</tr>
</xsl:template>

<xsl:template match="svrl:failed-assert">
	<tr>
		<th class="location">
			<xsl:value-of select="@location"/>
		</th>
		<td>:</td>
		<td class="description">
			<xsl:value-of select="svrl:text"/>
		</td>
		<td/>
		<td/>
		<td class="assert">
			<xsl:value-of select="@test"/>
		</td>
	</tr>
</xsl:template>

<xsl:template match="text()">
</xsl:template>

</xsl:stylesheet>
